using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System.Diagnostics;

namespace GDBG
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = GetTable();            
            this.gridDataBoundGrid1.DataSource = dt;
            this.gridDataBoundGrid1.AllowSelection = GridSelectionFlags.Row|GridSelectionFlags.AlphaBlend;            
        }        

        public DataTable GetTable()
        {
            DataTable dt = new DataTable("Details");
            int nRows = 5;
            for (int i = 0; i < 5; i++)
            {
                dt.Columns.Add(new DataColumn("Col " + i));
            }

            Random r = new Random();
            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < 5; j++)
                {                
                  dr[j] = r.Next(333) % 6;                
                }
                dt.Rows.Add(dr);
            }
            return dt;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            GridRangeInfoList list = this.gridDataBoundGrid1.Model.Selections.GetSelectedRows(false, true);
            foreach (GridRangeInfo range in list)
            for (int i = range.Top; i <= range.Bottom; i++)
            {                    
               GridBoundRecordState rs = this.gridDataBoundGrid1.Binder.GetRecordStateAtRowIndex(i);                    
               DataRowView drv = (DataRowView)(rs.Table[rs.Position]);                    
               DataRow dr = drv.Row;
               string row = "";
               object[] SelectedRow = dr.ItemArray;
               for (int j = 0; j < SelectedRow.Length; j++)
                   row +=(string) SelectedRow[j] + "  ";
               richTextBox1.Text = row;
            }

        }      
    }
}      